<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.2.43
Name: [2] Treść dokumentu skierowania na badanie w związku z podejrzeniem choroby zawodowej
Description: Szablon CDA dla treści medycznej skierowania na badania w związku z
            podejrzeniem
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.2.43-2018-06-30T000000">
   <title>[2] Treść dokumentu skierowania na badanie w związku z podejrzeniem choroby zawodowej</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.43
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43']]
Item: (plCdaReferralDueToSuspectedOccupationalDiseaseComponent)
-->

   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43']]"
         id="tmp-r-09292bbe-e4cc-40de-be0d-3de00d14d209">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.43-2018-06-30T000000.html"
              test="count(hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43'])&gt;=1 ">(plCdaReferralDueToSuspectedOccupationalDiseaseComponent): element hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43'] jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.43-2018-06-30T000000.html"
              test="count(hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43'])&lt;=1">(plCdaReferralDueToSuspectedOccupationalDiseaseComponent): element hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.43
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43']
Item: (plCdaReferralDueToSuspectedOccupationalDiseaseComponent)
-->

   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43']"
         id="tmp-r-90040ed8-da75-454f-ab94-bd24033796d2">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.43-2018-06-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaReferralDueToSuspectedOccupationalDiseaseComponent): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.43-2018-06-30T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(plCdaReferralDueToSuspectedOccupationalDiseaseComponent): Atrybut @contextConductionInd MUSI być typu 'bl'</assert>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.43-2018-06-30T000000.html"
              test="count(//(hl7:observation|hl7:substanceAdministration|hl7:supply|hl7:procedure|hl7:encounter|hl7:act|hl7:externalDocument)[not(ancestor::hl7:section/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55']) and not(ancestor::hl7:entryRelationship) and not(hl7:text/hl7:reference)])&gt;0">(plCdaReferralDueToSuspectedOccupationalDiseaseComponent):  Element text dla danego wyrażenia klinicznego jest wymagany, ze wskazaniem
               referencji do odpowiedniego elementu section.text. </report>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.43-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.43'] | self::hl7:structuredBody[hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55']]]] | self::hl7:structuredBody[not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55']]])])])">(plCdaReferralDueToSuspectedOccupationalDiseaseComponent): We fragmencie dokumentu zgodnym z szablonem "[2] Treść dokumentu skierowania na badanie w związku z podejrzeniem choroby zawodowej" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.43-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.43'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.43']/@nullFlavor)">(plCdaReferralDueToSuspectedOccupationalDiseaseComponent): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.43'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.43-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.43'])&lt;=1">(plCdaReferralDueToSuspectedOccupationalDiseaseComponent): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.43'] występuje zbyt często [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:structuredBody[hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55']]]]|hl7:structuredBody[not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55']]])])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.43-2018-06-30T000000.html"
              test="$elmcount&gt;=1">(plCdaReferralDueToSuspectedOccupationalDiseaseComponent): wybór (hl7:structuredBody[hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55']]]] lub hl7:structuredBody[not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55']]])]) zawiera zbyt mało elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.43-2018-06-30T000000.html"
              test="$elmcount&lt;=1">(plCdaReferralDueToSuspectedOccupationalDiseaseComponent): wybór (hl7:structuredBody[hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55']]]] lub hl7:structuredBody[not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55']]])]) zawiera zbyt dużo elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.43-2018-06-30T000000.html"
              test="count(hl7:structuredBody[hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55']]]])&lt;=1">(plCdaReferralDueToSuspectedOccupationalDiseaseComponent): element hl7:structuredBody[hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55']]]] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.43-2018-06-30T000000.html"
              test="count(hl7:structuredBody[not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55']]])])&lt;=1">(plCdaReferralDueToSuspectedOccupationalDiseaseComponent): element hl7:structuredBody[not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55']]])] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.43
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.43']
Item: (plCdaReferralDueToSuspectedOccupationalDiseaseComponent)
-->

   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.43']"
         id="tmp-r-40a25219-5d10-43ed-911a-47588b98f834">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.43-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralDueToSuspectedOccupationalDiseaseComponent): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.43-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.2.43'">(plCdaReferralDueToSuspectedOccupationalDiseaseComponent): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.2.43'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.43-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaReferralDueToSuspectedOccupationalDiseaseComponent): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.43
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43']/hl7:structuredBody[hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55']]]]
Item: (plCdaReferralDueToSuspectedOccupationalDiseaseComponent)
-->

   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43']/hl7:structuredBody[hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55']]]]"
         id="tmp-r-d44899fc-49c6-4d07-8f6f-1bbd230218b7">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.43-2018-06-30T000000.html"
              test="string(@classCode)='DOCBODY' or not(@classCode)">(plCdaReferralDueToSuspectedOccupationalDiseaseComponent): Wartość dla @classCode MUSI wynosić 'DOCBODY'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.43-2018-06-30T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaReferralDueToSuspectedOccupationalDiseaseComponent): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.43-2018-06-30T000000.html"
              test="not(hl7:component[not(hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55']])])">(plCdaReferralDueToSuspectedOccupationalDiseaseComponent):  Jeżeli w dokumencie znajduje się sekcja postaci binarnej dokumentu, to nie
                     może występować sekcja innego typu. </assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.43-2018-06-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.63']])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.63']]/@nullFlavor)">(plCdaReferralDueToSuspectedOccupationalDiseaseComponent): element hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.63']] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.43-2018-06-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.63']])&lt;=1">(plCdaReferralDueToSuspectedOccupationalDiseaseComponent): element hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.63']] występuje zbyt często [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.43
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43']/hl7:structuredBody[hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55']]]]/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.63']]
Item: (plCdaReferralDueToSuspectedOccupationalDiseaseComponent)
-->
   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43']/hl7:structuredBody[hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55']]]]/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.63']]">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.43-2018-06-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaReferralDueToSuspectedOccupationalDiseaseComponent): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.43
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43']/hl7:structuredBody[not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55']]])]
Item: (plCdaReferralDueToSuspectedOccupationalDiseaseComponent)
-->

   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43']/hl7:structuredBody[not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55']]])]"
         id="tmp-r-634681c8-e42a-4300-8c0b-c52fe9a6771e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.43-2018-06-30T000000.html"
              test="string(@classCode)='DOCBODY' or not(@classCode)">(plCdaReferralDueToSuspectedOccupationalDiseaseComponent): Wartość dla @classCode MUSI wynosić 'DOCBODY'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.43-2018-06-30T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaReferralDueToSuspectedOccupationalDiseaseComponent): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.43-2018-06-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.23']]])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.23']]]/@nullFlavor)">(plCdaReferralDueToSuspectedOccupationalDiseaseComponent): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.23']]] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.43-2018-06-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.23']]])&lt;=1">(plCdaReferralDueToSuspectedOccupationalDiseaseComponent): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.23']]] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.43-2018-06-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.24']]])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.24']]]/@nullFlavor)">(plCdaReferralDueToSuspectedOccupationalDiseaseComponent): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.24']]] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.43-2018-06-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.24']]])&lt;=1">(plCdaReferralDueToSuspectedOccupationalDiseaseComponent): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.24']]] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.43-2018-06-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.25']]])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.25']]]/@nullFlavor)">(plCdaReferralDueToSuspectedOccupationalDiseaseComponent): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.25']]] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.43-2018-06-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.25']]])&lt;=1">(plCdaReferralDueToSuspectedOccupationalDiseaseComponent): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.25']]] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.43-2018-06-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.26']]])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.26']]]/@nullFlavor)">(plCdaReferralDueToSuspectedOccupationalDiseaseComponent): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.26']]] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.43-2018-06-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.26']]])&lt;=1">(plCdaReferralDueToSuspectedOccupationalDiseaseComponent): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.26']]] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.43-2018-06-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.39']]])&lt;=1">(plCdaReferralDueToSuspectedOccupationalDiseaseComponent): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.39']]] występuje zbyt często [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.43
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43']/hl7:structuredBody[not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55']]])]/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.23']]]
Item: (plCdaReferralDueToSuspectedOccupationalDiseaseComponent)
-->
   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43']/hl7:structuredBody[not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55']]])]/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.23']]]">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.43-2018-06-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaReferralDueToSuspectedOccupationalDiseaseComponent): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.43
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43']/hl7:structuredBody[not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55']]])]/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.24']]]
Item: (plCdaReferralDueToSuspectedOccupationalDiseaseComponent)
-->
   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43']/hl7:structuredBody[not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55']]])]/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.24']]]">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.43-2018-06-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaReferralDueToSuspectedOccupationalDiseaseComponent): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.43
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43']/hl7:structuredBody[not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55']]])]/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.25']]]
Item: (plCdaReferralDueToSuspectedOccupationalDiseaseComponent)
-->
   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43']/hl7:structuredBody[not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55']]])]/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.25']]]">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.43-2018-06-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaReferralDueToSuspectedOccupationalDiseaseComponent): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.43
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43']/hl7:structuredBody[not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55']]])]/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.26']]]
Item: (plCdaReferralDueToSuspectedOccupationalDiseaseComponent)
-->
   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43']/hl7:structuredBody[not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55']]])]/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.26']]]">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.43-2018-06-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaReferralDueToSuspectedOccupationalDiseaseComponent): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.43
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43']/hl7:structuredBody[not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55']]])]/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.69']]]
Item: (plCdaReferralDueToSuspectedOccupationalDiseaseComponent)
-->
   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43']/hl7:structuredBody[not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55']]])]/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.69']]]">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.43-2018-06-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaReferralDueToSuspectedOccupationalDiseaseComponent): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.43
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43']/hl7:structuredBody[not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55']]])]/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.39']]]
Item: (plCdaReferralDueToSuspectedOccupationalDiseaseComponent)
-->
   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.43']/hl7:structuredBody[not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55']]])]/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.39']]]">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.43-2018-06-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaReferralDueToSuspectedOccupationalDiseaseComponent): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
   </rule>
</pattern>
