<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.3.25
Name: [3] Sekcja informacji o czynnikach narażenia zawodowego
Description: Szablon struktury CDA dla sekcji informacji o czynnikach narażenia
            zawodowego
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000">
   <title>[3] Sekcja informacji o czynnikach narażenia zawodowego</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.25
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']]
Item: (plCdaHistoryOfOccupationalExposureSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']]"
         id="tmp-r-0e5aec15-e4ea-411f-be61-7d7a20527d1c">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25'])&gt;=1 and not(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']/@nullFlavor)">(plCdaHistoryOfOccupationalExposureSection): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25'])&lt;=1">(plCdaHistoryOfOccupationalExposureSection): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.25
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']
Item: (plCdaHistoryOfOccupationalExposureSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']"
         id="tmp-r-64febd1f-f4a4-4b94-bf04-7062a5b22f34">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000.html"
              test="string(@classCode)='DOCSECT' or not(@classCode)">(plCdaHistoryOfOccupationalExposureSection): Wartość dla @classCode MUSI wynosić 'DOCSECT'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaHistoryOfOccupationalExposureSection): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.25'] | self::hl7:id | self::hl7:code[@code='10161-8' and @codeSystem='2.16.840.1.113883.6.1' and @codeSystemName='LOINC' and @displayName='History of occupational exposure'] | self::hl7:title['Czynniki narażenia zawodowego'] | self::hl7:text)])">(plCdaHistoryOfOccupationalExposureSection): We fragmencie dokumentu zgodnym z szablonem "[3] Sekcja informacji o czynnikach narażenia zawodowego" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.25'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.25']/@nullFlavor)">(plCdaHistoryOfOccupationalExposureSection): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.25'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.25'])&lt;=1">(plCdaHistoryOfOccupationalExposureSection): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.25'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000.html"
              test="count(hl7:id)&lt;=1">(plCdaHistoryOfOccupationalExposureSection): element hl7:id występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000.html"
              test="count(hl7:code[(@code='10161-8' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='10161-8' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(plCdaHistoryOfOccupationalExposureSection): element hl7:code[(@code='10161-8' and @codeSystem='2.16.840.1.113883.6.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000.html"
              test="count(hl7:code[(@code='10161-8' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(plCdaHistoryOfOccupationalExposureSection): element hl7:code[(@code='10161-8' and @codeSystem='2.16.840.1.113883.6.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(plCdaHistoryOfOccupationalExposureSection): element hl7:title jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000.html"
              test="count(hl7:title)&lt;=1">(plCdaHistoryOfOccupationalExposureSection): element hl7:title występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(plCdaHistoryOfOccupationalExposureSection): element hl7:text jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaHistoryOfOccupationalExposureSection): element hl7:text występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.25
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.25']
Item: (plCdaHistoryOfOccupationalExposureSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.25']"
         id="tmp-r-26a989a6-d97a-4fcb-b9d1-59f97dff0222">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaHistoryOfOccupationalExposureSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.3.25'">(plCdaHistoryOfOccupationalExposureSection): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.3.25'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaHistoryOfOccupationalExposureSection): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.25
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']/hl7:id
Item: (plCdaHistoryOfOccupationalExposureSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']/hl7:id"
         id="tmp-r-f122037a-8bf8-4d10-b398-b8655e2715f1">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaHistoryOfOccupationalExposureSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.25
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']/hl7:code[(@code='10161-8' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (plCdaHistoryOfOccupationalExposureSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']/hl7:code[(@code='10161-8' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-dacd57cb-a92a-4ac3-baad-9806a8c1948c">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaHistoryOfOccupationalExposureSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000.html"
              test="@nullFlavor or (@code='10161-8' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='History of occupational exposure' and @codeSystemName='LOINC')">(plCdaHistoryOfOccupationalExposureSection): Wartość elementu MUSI wynosić code '10161-8' codeSystem '2.16.840.1.113883.6.1' displayName='History of occupational exposure' codeSystemName='LOINC'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.25
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']/hl7:title
Item: (plCdaHistoryOfOccupationalExposureSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']/hl7:title"
         id="tmp-r-d086d083-0c6b-48a3-8682-7ae11e98004a">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaHistoryOfOccupationalExposureSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ST", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000.html"
              test="text()='Czynniki narażenia zawodowego'">(plCdaHistoryOfOccupationalExposureSection): zawartość elementu hl7:title MUSI wynosić ''Czynniki narażenia zawodowego''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.25
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']/hl7:text
Item: (plCdaHistoryOfOccupationalExposureSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']/hl7:text"
         id="tmp-r-935a1b19-850d-41ec-8362-06678922984f">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaHistoryOfOccupationalExposureSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:SD.TEXT", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
